curl --request DELETE \
--url https://api.whop.com/api/v1/payment_methods/{id} \
--header 'Authorization: Bearer <token>'trueDelete a saved payment method. Cannot delete a payment method attached to an active subscription.
Required permissions:
member:payment_methods:managecurl --request DELETE \
--url https://api.whop.com/api/v1/payment_methods/{id} \
--header 'Authorization: Bearer <token>'trueDocumentation Index
Fetch the complete documentation index at: https://docs.whop.com/llms.txt
Use this file to discover all available pages before exploring further.
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
The unique identifier of the payment method to delete.
"payt_xxxxxxxxxxxxx"
The unique identifier of the company. Provide either this or member_id, not both.
"biz_xxxxxxxxxxxxxx"
The unique identifier of the member. Provide either this or company_id, not both.
"mber_xxxxxxxxxxxxx"
A successful response
Represents true or false values.
Was this page helpful?